Subject: Comments wanted -Tennsmith 16 ga bending brake

From: Roger Hess <[email-masked]>
Date: 6 Nov 1995 17:35:46 GMT

I am looking for user comments on the Tennsmith 48" 16 ga finger brake.  I've only been able to 
see the similar imported models and I was not impressed with the construction (welds broken 
during shipping!!).  I've been told that this model is made in the US, but in pictures it looks 
so similar to the imports that I wonder if they are just tacking their own label on an import.

Any comments on this unit or Tennsmith in general would be appreciated.

Thanks.